2015-02-09  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/sudoers.cat, doc/sudoers.man.in, doc/sudoers.mdoc.in:
	Fix typos.
	[ac1467f71ac0]

	* plugins/sample/sample_plugin.c:
	Fix compilation on systems w/o __dso_public
	[b773ef9127fa]

2015-02-07  Todd C. Miller  <Todd.Miller@courtesan.com>

	* NEWS, plugins/sudoers/po/ru.mo, plugins/sudoers/po/ru.po:
	Russian translation for sudoers from translationproject.org.
	[8a7fc2e00072]

2015-02-06  Todd C. Miller  <Todd.Miller@courtesan.com>

	* MANIFEST, doc/CONTRIBUTORS, plugins/sudoers/po/ru.mo,
	plugins/sudoers/po/ru.po:
	Russian translation for sudoers from translationproject.org.
	[1d5869e4d4af]

	* config.h.in, configure, configure.ac, include/sudo_compat.h:
	Add check for getresuid() declaration, which may be missing on HP-
	UX. When checking for getdomainname() prototype, look in netdb.h
	too.
	[0ba583590b17]

	* INSTALL, NEWS, configure, configure.ac, doc/sudoers.cat,
	doc/sudoers.man.in, doc/sudoers.mdoc.in, m4/sudo.m4, pathnames.h.in,
	plugins/sudoers/env.c:
	Sanity check the TZ environment variable by special casing it in
	env_check. The --with-tzdir configure option can be used to specify
	the zoneinfo directory if configure doesn't find it.
	[650ac6938b59]

	* NEWS:
	Mention crash fixes.
	[f759c993e172]

	* src/parse_args.c:
	Bail with usage() early if argc <= 0.
	[aaba56c9a797]

2015-02-05  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/pwutil.c:
	Remove extraneous casts of node->data (which is void *).
	[950749570a00]

	* doc/CONTRIBUTORS:
	Add Stephane Chazelas
	[a6c7becabee7]

	* plugins/sudoers/pwutil.c:
	Fix a potential crash when getpwnam() of the running user fails and
	we don't replace the negative cached entry with a faked up one. From
	Stephane Chazelas
	[9088f041bbad]

	* src/parse_args.c, src/sudo.c:
	Don't assume argv[0] is set without first checking argc.
	[aabdc9d0ba26]

	* plugins/sudoers/set_perms.c:
	Handle sudo_get_grlist() returning NULL which can happen if
	getgrouplist() fails even after allocating the appropriate amount of
	memory. From Stephane Chazelas
	[25747a0ead7c]

	* lib/util/progname.c:
	Call setprogname("sudo") if getprogname() returns NULL or the empty
	string.
	[45438f7227b1]

	* config.h.in, configure, configure.ac:
	Remove configure checks for strrchr() and strtoll() for which the
	HAVE_* defines are no longer used.
	[f04216435aba]

	* config.h.in, configure, configure.ac, doc/sudoreplay.cat,
	doc/sudoreplay.man.in, doc/sudoreplay.mdoc.in,
	plugins/sudoers/sudoreplay.c:
	Require POSIX regular expression support for sudoreplay.
	[1486747cd470]

	* plugins/sudoers/policy.c:
	The plugin no longer needs to call initprogname() now that it links
	with the same libsudo_util as sudo.
	[78b65a352ac5]

	* config.h.in, configure, configure.ac, include/sudo_compat.h:
	Check whether getdomainname(), innetgr(), setresuid() and
	setresgid() are declared and add prototypes in sudo_compat.h as
	needed.
	[03aa144afce4]

2015-02-04  Todd C. Miller  <Todd.Miller@courtesan.com>

	* sudo.pp:
	Add /usr/local/share/examples/ directory to parentdirs so it is
	explicitly added to the package.
	[ef1aa52b0aad]

2015-02-02  Todd C. Miller  <Todd.Miller@courtesan.com>

	* NEWS, doc/sudoers.cat, doc/sudoers.man.in, doc/sudoers.mdoc.in,
	plugins/sudoers/logging.c:
	Don't send mail about pseudo-command failure unless it is an
	authentication failure.
	[deddcfc1f2ab]

2015-02-04  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/po/da.mo, po/da.mo:
	Sync with translationproject.org
	[943986acd31c]

	* plugins/sudoers/po/cs.mo, plugins/sudoers/po/cs.po,
	plugins/sudoers/po/de.mo, plugins/sudoers/po/de.po,
	plugins/sudoers/po/eo.mo, plugins/sudoers/po/eo.po,
	plugins/sudoers/po/fi.mo, plugins/sudoers/po/fi.po,
	plugins/sudoers/po/it.mo, plugins/sudoers/po/it.po,
	plugins/sudoers/po/nb.mo, plugins/sudoers/po/nb.po,
	plugins/sudoers/po/nl.mo, plugins/sudoers/po/nl.po,
	plugins/sudoers/po/pl.mo, plugins/sudoers/po/pl.po,
	plugins/sudoers/po/pt_BR.mo, plugins/sudoers/po/pt_BR.po,
	plugins/sudoers/po/uk.mo, plugins/sudoers/po/uk.po,
	plugins/sudoers/po/vi.mo, plugins/sudoers/po/vi.po,
	plugins/sudoers/po/zh_CN.mo, plugins/sudoers/po/zh_CN.po, po/nl.mo,
	po/nl.po:
	Sync with translationproject.org
	[4977ac967bdd]

2015-02-03  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/getdate.c, plugins/sudoers/gram.c:
	Regen with yacc skeleton that the clang analyzer doesn't complain
	about.
	[e15991fd4ab1]

	* configure, configure.ac, lib/util/alloc.c, lib/util/glob.c,
	plugins/sudoers/env.c, plugins/sudoers/getdate.c,
	plugins/sudoers/getdate.y, plugins/sudoers/gram.c,
	plugins/sudoers/gram.y:
	Use stdint.h to get SIZE_MAX as inttypes.h on some pre-C99 HP-UX
	systems doesn't include stdint.h itself.
	[9fbd35811743]

	* configure, configure.ac:
	SIZE_MAX may be in limits.h on pre-C99 compilers.
	[d3b554f7e0e5]

	* config.h.in, configure, configure.ac, lib/util/aix.c:
	Add missing prototypes for usrinfo() and setauthdb() for AIX.
	[aa4b205296cf]

	* config.h.in, configure, configure.ac, plugins/sudoers/match.c:
	Solaris uses sysinfo(SI_SRPC_DOMAIN) instead of getdomainname() to
	get the host's NIS domain.
	[9234c62a1469]

2015-02-02  Todd C. Miller  <Todd.Miller@courtesan.com>

	* configure, configure.ac:
	Remove AC_PROG_GCC_TRADITIONAL and add AC_PROG_CC_STDC since we need
	C99.
	[005775f5662b]

	* plugins/sudoers/match.c:
	Actually use the check for prior initialization in
	sudo_getdomainname().
	[06368385ad0d]

	* configure, configure.ac:
	We need to add OSDEFS to CFLAGS to expose LLONG_MAX et al on glibc
	when not explicitly asking for c99.
	[ae9435631600]

	* configure, configure.ac:
	Fix check for SIZE_MAX, which should be in stdint.h not limits.h.
	[47bf0ab7dfca]

	* lib/util/glob.c:
	Need to include inttypes.h for SIZE_MAX
	[a11f42f40294]

	* plugins/sudoers/po/sudoers.pot:
	regen
	[d35b24f95ef8]

2015-02-01  Todd C. Miller  <Todd.Miller@courtesan.com>

	* include/sudo_debug.h, lib/util/aix.c, lib/util/event.c,
	lib/util/event_poll.c, lib/util/event_select.c, lib/util/gidlist.c,
	lib/util/key_val.c, lib/util/lbuf.c, lib/util/locking.c,
	lib/util/parseln.c, lib/util/secure_path.c, lib/util/setgroups.c,
	lib/util/strtobool.c, lib/util/strtoid.c, lib/util/strtomode.c,
	lib/util/sudo_conf.c, lib/util/sudo_debug.c, lib/util/term.c,
	lib/util/ttysize.c, lib/util/util.exp.in, plugins/sudoers/alias.c,
	plugins/sudoers/audit.c, plugins/sudoers/auth/afs.c,
	plugins/sudoers/auth/aix_auth.c, plugins/sudoers/auth/bsdauth.c,
	plugins/sudoers/auth/dce.c, plugins/sudoers/auth/fwtk.c,
	plugins/sudoers/auth/kerb5.c, plugins/sudoers/auth/pam.c,
	plugins/sudoers/auth/passwd.c, plugins/sudoers/auth/rfc1938.c,
	plugins/sudoers/auth/secureware.c, plugins/sudoers/auth/securid5.c,
	plugins/sudoers/auth/sia.c, plugins/sudoers/auth/sudo_auth.c,
	plugins/sudoers/base64.c, plugins/sudoers/boottime.c,
	plugins/sudoers/bsm_audit.c, plugins/sudoers/check.c,
	plugins/sudoers/defaults.c, plugins/sudoers/env.c,
	plugins/sudoers/find_path.c, plugins/sudoers/getspwuid.c,
	plugins/sudoers/goodpath.c, plugins/sudoers/gram.c,
	plugins/sudoers/gram.y, plugins/sudoers/group_plugin.c,
	plugins/sudoers/hexchar.c, plugins/sudoers/interfaces.c,
	plugins/sudoers/iolog.c, plugins/sudoers/iolog_path.c,
	plugins/sudoers/ldap.c, plugins/sudoers/linux_audit.c,
	plugins/sudoers/logging.c, plugins/sudoers/logwrap.c,
	plugins/sudoers/match.c, plugins/sudoers/match_addr.c,
	plugins/sudoers/parse.c, plugins/sudoers/policy.c,
	plugins/sudoers/prompt.c, plugins/sudoers/pwutil.c,
	plugins/sudoers/pwutil_impl.c, plugins/sudoers/redblack.c,
	plugins/sudoers/set_perms.c, plugins/sudoers/sssd.c,
	plugins/sudoers/sudo_nss.c, plugins/sudoers/sudoers.c,
	plugins/sudoers/sudoers.h, plugins/sudoers/sudoers_debug.c,
	plugins/sudoers/sudoreplay.c, plugins/sudoers/testsudoers.c,
	plugins/sudoers/timestamp.c, plugins/sudoers/toke.c,
	plugins/sudoers/toke.l, plugins/sudoers/toke_util.c,
	plugins/sudoers/visudo.c, plugins/sudoers/visudo_json.c, src/exec.c,
	src/exec_common.c, src/exec_pty.c, src/get_pty.c, src/hooks.c,
	src/load_plugins.c, src/net_ifs.c, src/parse_args.c,
	src/preserve_fds.c, src/selinux.c, src/sesh.c, src/signal.c,
	src/solaris.c, src/sudo.c, src/sudo_edit.c, src/tgetpass.c,
	src/ttyname.c, src/utmp.c:
	Go back to a 2 args debug_decl and just use the "default" instance,
	now renamed "active".
	[7130b7478355]

2015-01-31  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/LICENSE:
	Update copyright year.
	[e1dad7b195e4]

2015-01-30  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/sudoers.ldap.cat, doc/sudoers.ldap.man.in,
	doc/sudoers.ldap.mdoc.in, plugins/sudoers/ldap.c,
	plugins/sudoers/match.c, plugins/sudoers/parse.h:
	When querying LDAP netgroups, use the NIS domain if it is sent but
	also match nisNetgroupTriple entries that have no domain.
	[5a0fa3ac26f7]

	* plugins/sudoers/sudoreplay.c:
	Avoid setting the tty to non-blocking mode so "sudoreplay | cat"
	(for example) works as expected. We only read a single byte from the
	keyboard and only when interactive anyway so this should be fine.
	[9615a932545b]

	* lib/zlib/Makefile.in, plugins/sudoers/Makefile.in:
	regen
	[f19c6e000850]

	* plugins/sudoers/sudoreplay.c:
	Avoid a cppcheck warning about undefined behavior (using the address
	of a stack buffer - 1) and fix a memory leak of the iov when doing
	nl->crnl conversion.
	[e26f9008c2e4]

	* doc/CONTRIBUTORS:
	Add Steven Soulen
	[17a47303d5fe]

	* plugins/sudoers/sudoreplay.c:
	Fix handling of partial writes from writev() which can occur with
	large output buffers.
	[1065dbeaa13d]

2015-01-29  Todd C. Miller  <Todd.Miller@courtesan.com>

	* NEWS, doc/sudoers.ldap.cat, doc/sudoers.ldap.man.in,
	doc/sudoers.ldap.mdoc.in, plugins/sudoers/ldap.c:
	Add support for querying netgroups directly via LDAP since there is
	no other way to look up all the netgroups for a user (unlike regular
	groups). This introduces netgroup_base and netgroup_search_filter
	options to ldap.conf. Based on a diff from Steven Soulen.
	[7e3d55983e71]

2015-01-27  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/sudoers.ldap.cat, doc/sudoers.ldap.man.in,
	doc/sudoers.ldap.mdoc.in:
	Sort ldap.conf options.
	[264608124698]

2015-01-22  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/ldap.c:
	Add macros to ease the checking of strlcpy, strlcat and
	sudo_ldap_value_cat return values.
	[e9122413d4fa]

2015-01-21  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/check.c, plugins/sudoers/ldap.c,
	plugins/sudoers/logging.c, plugins/sudoers/parse.c,
	plugins/sudoers/sssd.c, plugins/sudoers/sudoers.c,
	plugins/sudoers/sudoers.h:
	Rename VALIDATE_OK -> VALIDATE_SUCCESS Rename VALIDATE_NOT_OK ->
	VALIDATE_FAILURE
	[4379cac9f75d]

	* plugins/sudoers/logging.c, plugins/sudoers/sudoers.h:
	Remove now-unused VALIDATE_ERROR define.
	[569d4936b761]

	* plugins/sudoers/logging.c:
	should_mail() now returns bool.
	[0316d1fb08c3]

	* lib/util/sudo_debug.c:
	If sudo_debug_register() fails return
	SUDO_DEBUG_INSTANCE_INITIALIZER, not -1. Otherwise we could end up
	setting the instance to -1 which is invalid.
	[032bb1db6db5]

	* doc/sudoers.cat, doc/sudoers.man.in, doc/sudoers.mdoc.in:
	Fix typo.
	[014be972780c]

	* doc/Makefile.in:
	Use "mandoc -Tascii" to generate .cat pages to avoid locale-specific
	characters.
	[0ec42d8924fc]

2015-01-19  Todd C. Miller  <Todd.Miller@courtesan.com>

	* configure, m4/sudo.m4:
	Use AC_PATH_PROG to find programs instead of checking the path
	manually.
	[2b5d9893a7a7]

2015-01-16  Todd C. Miller  <Todd.Miller@courtesan.com>

	* lib/util/strlcat.c, lib/util/strlcpy.c:
	Sync with OpenBSD version
	[22c073c42a9e]

2015-01-15  Todd C. Miller  <Todd.Miller@courtesan.com>

	* configure, configure.ac:
	Use AC_CHECK_HEADERS_ONCE and AC_CHECK_FUNCS_ONCE where possible and
	quote the first args in AC_CHECK_FUNCS calls.
	[84aa40ab410a]

	* config.h.in, configure, configure.ac, include/sudo_compat.h:
	Avoid inadvertantly defining things like PATH_MAX simply because the
	source file doesn't include limits.h.
	[d2e7c4093f55]

2015-01-14  Todd C. Miller  <Todd.Miller@courtesan.com>

	* configure, ltmain.sh, m4/libtool.m4, m4/ltoptions.m4,
	m4/ltversion.m4:
	Update to libtool 2.4.4 + HP-UX patches
	[859b7378bc37]

	* src/ttyname.c:
	Document why we need sys/param.h.
	[f21a4d7122f0]

	* configure, m4/sudo.m4:
	Don't need sys/param.h.
	[6aa24ecfc9d4]

	* lib/util/closefrom.c:
	Don't appear to need sys/param.h for pstat_getproc() on HP-UX even
	though the man page lists it.
	[47d75f3db288]

	* lib/util/inet_ntop.c, lib/util/inet_pton.c:
	Should not need sys/param.h here.
	[5c83cebcd75f]

2014-12-31  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/match_addr.c:
	Use standard CIDR -> netmask conversion and disallow 0-bit CIDRs.
	[d30313d726eb]

2014-12-24  Todd C. Miller  <Todd.Miller@courtesan.com>

	* README.LDAP:
	Update link to gq LDAP editor, now on sourceforge.
	[706dadea1abb]

2014-12-16  Todd C. Miller  <Todd.Miller@courtesan.com>

	* include/compat/glob.h, lib/util/glob.c:
	Add support for GLOB_LIMIT from OpenBSD (not currently used) and
	also a limit on the max recursion depth for glob().
	[6f9e26b88612]

	* lib/util/glob.c:
	Quiet compiler sign compare warning.
	[c4f35c02122c]

2014-12-10  Todd C. Miller  <Todd.Miller@courtesan.com>

	* NEWS:
	fnmatch fix
	[07542b07ac67]

	* lib/util/fnmatch.c:
	Remove artificial limit on length of pattern and string. It is
	possible to use fnmatch() on things other than paths (such as
	arguments) so a limit of PATH_MAX does not make sense. Fixes a bug
	where rules would fail to match if the length of the arguments were
	larger than PATH_MAX (usually 1024).
	[942770c20422]

2014-12-04  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/sudo.cat, doc/sudo.conf.cat, doc/sudo.conf.man.in,
	doc/sudo.conf.mdoc.in, doc/sudo.man.in, doc/sudo.mdoc.in,
	doc/sudo_plugin.cat, doc/sudo_plugin.man.in,
	doc/sudo_plugin.mdoc.in, doc/sudoers.cat, doc/sudoers.ldap.cat,
	doc/sudoers.ldap.man.in, doc/sudoers.ldap.mdoc.in,
	doc/sudoers.man.in, doc/sudoers.mdoc.in, doc/sudoreplay.cat,
	doc/sudoreplay.man.in, doc/sudoreplay.mdoc.in, doc/visudo.cat,
	doc/visudo.man.in, doc/visudo.mdoc.in:
	Remove the extra /sudo in sudo.ws urls
	[0b804e3a1008]

2014-11-27  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/sudo.cat, doc/sudo.conf.cat, doc/sudo.conf.man.in,
	doc/sudo.conf.mdoc.in, doc/sudo.man.in, doc/sudo.mdoc.in,
	doc/sudo_plugin.cat, doc/sudo_plugin.man.in,
	doc/sudo_plugin.mdoc.in, doc/sudoers.cat, doc/sudoers.ldap.cat,
	doc/sudoers.ldap.man.in, doc/sudoers.ldap.mdoc.in,
	doc/sudoers.man.in, doc/sudoers.mdoc.in, doc/sudoreplay.cat,
	doc/sudoreplay.man.in, doc/sudoreplay.mdoc.in, doc/visudo.cat,
	doc/visudo.man.in, doc/visudo.mdoc.in:
	Reference bugzilla.sudo.ws
	[7dc11bbe6f13]

2014-11-20  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/po/sudoers.pot, po/sudo.pot:
	sync
	[da17d5a611ce]

2014-11-19  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/gram.c, plugins/sudoers/gram.y:
	Require that a digest be specified with a real command, not an alias
	or pseudo-command. Found via a crash by afl.
	[55f6166cab63]

	* NEWS:
	sync
	[4b31247735c4]

	* MANIFEST, doc/CONTRIBUTORS, plugins/sudoers/po/fr.mo,
	plugins/sudoers/po/fr.po:
	French translation for sudoers from translationproject.org.
	[5c592350c4b0]

2014-11-18  Todd C. Miller  <Todd.Miller@courtesan.com>

	* src/exec.c, src/exec_pty.c, src/tgetpass.c:
	Defer registration of the SIGCHLD handler until just before we exec
	the command. Fixes a problem where pam_gnome_keyring installs its
	own SIGCHLD handler and may not restore the original one. As a
	result, we now have to explicitly wait for the askpass helper to
	finish. Bug #657
	[f499500fef71]

2014-11-17  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/sudoers.ldap.cat, doc/sudoers.ldap.man.in,
	doc/sudoers.ldap.mdoc.in:
	Mention sssd support in the sudoers.ldap manual and cross-reference
	sssd-sudo(5).
	[32f84fbf210c]

2014-11-16  Todd C. Miller  <Todd.Miller@courtesan.com>

	* doc/CONTRIBUTORS:
	Reorder an entry.
	[5d15735294f1]

2014-11-15  Todd C. Miller  <Todd.Miller@courtesan.com>

	* Makefile.in, lib/util/Makefile.in, plugins/group_file/Makefile.in,
	plugins/sample/Makefile.in, plugins/sudoers/Makefile.in,
	plugins/system_group/Makefile.in, src/Makefile.in:
	Prevent cppcheck from getting confused by our compat definition of
	the va_copy macro for pre-C99.
	[61d94525be2e]

2014-11-14  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/iolog_path.c:
	Fix potential NULL pointer deref found by cppcheck.
	[668967e031e0]

	* plugins/sudoers/alias.c:
	Quiet a cppcheck false positive.
	[35a16ae4660c]

	* lib/util/sudo_debug.c:
	If there are multiple outputs, ap will be re-used so make a copy and
	operate on it instead.
	[f4f19df43c93]

	* src/hooks.c:
	Fix typo in hook return value check.
	[b12839dc6e78]

	* NEWS:
	Mention visudo use of sudoers plugin args to set default sudoers
	file name and owner/mode.
	[7f2733b53431]

	* NEWS:
	Mention fix for bug #678
	[7f7a6d8b985b]

2014-11-10  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/po/cs.mo, plugins/sudoers/po/cs.po,
	plugins/sudoers/po/da.mo, plugins/sudoers/po/da.po,
	plugins/sudoers/po/de.mo, plugins/sudoers/po/de.po,
	plugins/sudoers/po/eo.mo, plugins/sudoers/po/eo.po,
	plugins/sudoers/po/fi.mo, plugins/sudoers/po/fi.po,
	plugins/sudoers/po/it.mo, plugins/sudoers/po/it.po,
	plugins/sudoers/po/nb.mo, plugins/sudoers/po/nb.po,
	plugins/sudoers/po/pl.mo, plugins/sudoers/po/pl.po,
	plugins/sudoers/po/pt_BR.mo, plugins/sudoers/po/pt_BR.po,
	plugins/sudoers/po/uk.mo, plugins/sudoers/po/uk.po,
	plugins/sudoers/po/vi.mo, plugins/sudoers/po/vi.po,
	plugins/sudoers/po/zh_CN.mo, plugins/sudoers/po/zh_CN.po, po/cs.mo,
	po/cs.po, po/da.mo, po/da.po, po/de.mo, po/de.po, po/eo.mo,
	po/eo.po, po/fi.mo, po/fi.po, po/it.mo, po/it.po, po/nb.mo,
	po/nb.po, po/pl.mo, po/pl.po, po/pt_BR.mo, po/pt_BR.po, po/ru.mo,
	po/ru.po, po/uk.mo, po/uk.po, po/vi.mo, po/vi.po, po/zh_CN.mo,
	po/zh_CN.po:
	Sync with translationproject.org
	[e51055fdffe1]

2014-11-12  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/sudoers.c:
	In set_fqdn() we neeed to set user_runhost/user_srunhost at the same
	time we set user_host/user_shost since that is what
	hostlist_matches() uses. Bug #678
	[4f75b01d4884]

2014-11-11  Todd C. Miller  <Todd.Miller@courtesan.com>

	* src/hooks.c:
	Do not call sudo_warnx() on invalid value from the env hook
	functions as the printf() family may call getenv() for locale
	reasons.
	[547fc25acb7c]

	* doc/sudo.conf.mdoc.in, doc/sudo.man.in, doc/sudo.mdoc.in,
	doc/sudo_plugin.man.in, doc/sudoers.cat, doc/sudoers.man.in,
	doc/sudoers.mdoc.in, doc/sudoreplay.mdoc.in, doc/visudo.cat,
	doc/visudo.man.in, doc/visudo.mdoc.in:
	No need to keep specifying ".Nm foo" since the Nm macro remembers
	the argument it was first called with and uses it if none is
	specified. Also fix a few minor formatting errors and regen bulleted
	lists in the .man.in files.
	[d2669e94add4]

	* doc/visudo.cat, doc/visudo.man.in, doc/visudo.mdoc.in:
	Add sudo.conf to SEE ALSO and rename section on sudo.conf
	[d4cc8ad2c2b4]

	* doc/sudoreplay.cat, doc/sudoreplay.man.in, doc/sudoreplay.mdoc.in:
	Mention sudo.conf use for debugging
	[9393fb061bcd]

	* doc/sudo.cat, doc/sudo.conf.cat, doc/sudo_plugin.cat,
	doc/sudoers.cat, doc/sudoers.ldap.cat, doc/sudoers.man.in,
	doc/sudoreplay.cat:
	regen
	[1d34d21b2136]

	* doc/visudo.cat, doc/visudo.man.in, doc/visudo.mdoc.in:
	Document sudo.conf usage now that visudo will parse the sudoers
	arguments.
	[78a413c019a9]

2014-11-10  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/visudo.c:
	Use sudoers.so args from sudo.conf to set sudoers_file, sudoers_uid,
	sudoers_gid, and sudoers_mode in visudo.
	[1c7408b5ff7e]

	* plugins/sudoers/visudo.c:
	Use sudoers_file, sudoers_uid, sudoers_gid, and sudoers_mode symbols
	from toke.l instead of the upper case defines.
	[21ba15518c7d]

	* lib/util/Makefile.in, lib/zlib/Makefile.in,
	plugins/group_file/Makefile.in, plugins/sample/Makefile.in,
	plugins/sudoers/Makefile.in, plugins/system_group/Makefile.in:
	Use SSP_LDFLAGS when creating shared objects.
	[2428de97d2c2]

	* lib/util/Makefile.in:
	We only build .lo (not .o) files for libsudo_util
	[2c1e0475cddc]

2014-11-06  Todd C. Miller  <Todd.Miller@courtesan.com>

	* NEWS:
	sync
	[aab14a9942e0]

2014-11-04  Todd C. Miller  <Todd.Miller@courtesan.com>

	* src/exec.c, src/exec_pty.c:
	Make sure that SIGCHLD is not treated as a user-generated signal in
	which case it could be ignored. Bug #676
	[a4caaaaa47a8]

2014-10-30  Todd C. Miller  <Todd.Miller@courtesan.com>

	* configure, ltmain.sh, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
	m4/ltversion.m4, m4/lt~obsolete.m4:
	Update to libtool 2.4.3 + HP-UX patches
	[9ddfd96f3bea]

2014-10-31  Todd C. Miller  <Todd.Miller@courtesan.com>

	* config.h.in, configure, configure.ac, lib/util/mktemp.c:
	Use arc4random() for mkstemp/mkdtemp if available. If not, try to
	seed from /dev/urandom before falling back to the gettimeofday seed.
	[7a7096ab82c9]

2014-10-29  Todd C. Miller  <Todd.Miller@courtesan.com>

	* configure, configure.ac, include/sudo_compat.h, lib/util/mktemp.c:
	If a system lacks mkdtemp() or mkstemps(), use our own mkdtemp() and
	mkstemps(). Previously we only exposed the missing one but since the
	guts are the same we might as well use them.
	[12d4ac64462f]

2014-10-31  Todd C. Miller  <Todd.Miller@courtesan.com>

	* lib/util/sudo_debug.c:
	Use a static buffer for sudo_debug_execve2() if possible.
	[abf1fd5891ab]

2014-10-29  Todd C. Miller  <Todd.Miller@courtesan.com>

	* src/env_hooks.c:
	Mark the putenv(), setenv() and unsetenv() symbols as global, not
	hidden. Fixes a mismatch where a plugin (or its loaded dso) would
	call setenv() to set a variables but be unable to find it later with
	getenv().
	[96127ac4bbb3]

2014-10-28  Todd C. Miller  <Todd.Miller@courtesan.com>

	* Makefile.in:
	Fix install-nls target from builddir.
	[da63bc37f6c5]

	* Makefile.in:
	Fix dependency on sudo.pp, it needs to relative to srcdir.
	[c76088da98e8]

	* src/sesh.c:
	Adapt to new debug subsystem registration.
	[8e13b349b44b]

2014-10-27  Todd C. Miller  <Todd.Miller@courtesan.com>

	* lib/zlib/Makefile.in, lib/zlib/zlib.exp:
	Add missing zlib.exp file and common LT_LDFLAGS Makefile.in.
	[0bc0092d3e03]

	* lib/util/sudo_conf.c:
	Fix path settings broken in rev 9731.
	[2b33916eb287]

	* MANIFEST, lib/util/regress/sudo_conf/test4.err.ok:
	Adjust regress test now that boolean settings display an error for
	invalid input.
	[73a7365f492e]

	* plugins/sudoers/iolog.c, plugins/sudoers/policy.c,
	plugins/sudoers/sudoers.h, plugins/sudoers/sudoers_debug.c,
	plugins/sudoers/testsudoers.c, plugins/sudoers/visudo.c:
	Add sudoers_debug_deregister() and use it instead of calling
	sudo_debug_deregister() directly.
	[819b0e08196e]

	* configure, configure.ac, lib/util/Makefile.in, lib/zlib/Makefile.in,
	plugins/group_file/Makefile.in, plugins/sample/Makefile.in,
	plugins/sudoers/Makefile.in, plugins/system_group/Makefile.in:
	Use AC_PROG_AWK
	[945cf6deb18d]

	* NEWS:
	Mention shared zlib.
	[094bdada1106]

	* MANIFEST:
	Add lib/zlib/zlib.exp
	[7b5011e3eea9]

	* INSTALL, configure, configure.ac, lib/zlib/Makefile.in,
	lib/zlib/zconf.h.in:
	Add support for installing a shared zlib
	[6875ab6ca44f]

	* lib/util/Makefile.in:
	fix comment typo
	[35c3dda27eec]

	* configure, configure.ac, lib/zlib/Makefile.in:
	Newer zlib uses HAVE_HIDDEN to turn on symbol hiding so we don't
	need to disable it with NO_VIS.
	[b3eee86f015f]

	* po/sudo.pot:
	regen
	[687bc1ea88ac]

	* configure.ac, include/sudo_debug.h, lib/util/sudo_debug.c,
	lib/util/util.exp.in:
	Version the symbols for sudo_debug.c now that the API is stable.
	[873850a062a8]

2014-10-26  Todd C. Miller  <Todd.Miller@courtesan.com>

	* lib/util/sudo_conf.c:
	Go back to parsing sudo.conf in place for settings and paths and
	improve debugging info for unsupported entries and parse errors.
	[264e1f7d6551]

	* include/sudo_conf.h, lib/util/regress/sudo_conf/conf_test.c,
	lib/util/sudo_conf.c, lib/util/util.exp.in,
	plugins/sudoers/sudoers_debug.c, plugins/sudoers/sudoreplay.c,
	plugins/sudoers/testsudoers.c, plugins/sudoers/visudo.c,
	src/load_plugins.c, src/sudo.c, src/sudo_plugin_int.h:
	Add a flag argument to sudo_conf_read() so we can decide which bits
	get parsed. This lets us parse Debug statements first and init the
	debug subsystem early.
	[56dbf1e671de]

2014-10-24  Todd C. Miller  <Todd.Miller@courtesan.com>

	* lib/zlib/gzguts.h:
	Include stdio.h after zlib.h, not before. We need the large file
	defines to come first.
	[b42b53d10252]

	* doc/LICENSE, lib/zlib/compress.c, lib/zlib/crc32.c,
	lib/zlib/crc32.h, lib/zlib/deflate.c, lib/zlib/deflate.h,
	lib/zlib/gzguts.h, lib/zlib/gzlib.c, lib/zlib/gzread.c,
	lib/zlib/gzwrite.c, lib/zlib/infback.c, lib/zlib/inffast.c,
	lib/zlib/inflate.c, lib/zlib/inftrees.c, lib/zlib/trees.c,
	lib/zlib/uncompr.c, lib/zlib/zconf.h.in, lib/zlib/zlib.h,
	lib/zlib/zutil.c, lib/zlib/zutil.h:
	Update zlib to version 1.2.8
	[f95280e0448d]

	* configure, configure.ac:
	Don't add -Wold-style-definition to CFLAGS as it causes problems
	with 3rd party libraries such as zlib.
	[1d7613d1c177]

	* src/load_plugins.c:
	Free up plugin info structs after converting to plugin containers.
	[1168e873d778]

	* INSTALL, MANIFEST, Makefile.in, configure, configure.ac,
	doc/Makefile.in, doc/TROUBLESHOOTING, doc/UPGRADE, doc/sample.pam,
	doc/sample.sudo.conf, doc/sample.sudoers, doc/sample.syslog.conf,
	examples/Makefile.in, examples/pam.conf, examples/sudo.conf,
	examples/sudoers, examples/syslog.conf, sudo.pp:
	Move sample.* files to a sudo examples dir
	[b53e3df56c66]

	* sudo.pp:
	Fix a packaging problem with the sudoedit man page link on Debian.
	[8ad77a37048e]

	* plugins/sudoers/iolog.c, plugins/sudoers/policy.c:
	Initialize the debug subsystem in sudoers early. Currently this
	means iterating over the settings list twice.
	[93b12ea08405]

	* lib/util/sudo_debug.c:
	No need to convert sudoedit -> sudo in sudo_debug_get_instance() as
	we store the actual program name and only do the sudoedit -> sudo
	conversion when reading the sudo.conf file. Fixes debugging when
	invoked as sudoedit.
	[535c01d83b14]

	* lib/util/sudo_conf.c, lib/util/sudo_debug.c,
	plugins/sudoers/iolog.c, plugins/sudoers/policy.c, src/exec_pty.c,
	src/load_plugins.c, src/sudo.c, src/sudo_plugin_int.h:
	In the plugin registers with the debug framework at open time, the
	sudo front-end will now set the default debug instance appropriately
	before calling into the plugin. This means the plugin no longer
	needs to do the sudo_debug_set_default_instance() dance.
	[10dd45a7884f]

	* Makefile.in:
	Remove duplicate -U__NBBY in CPPCHECK_OPTS
	[ad518cb36279]

2014-10-23  Todd C. Miller  <Todd.Miller@courtesan.com>

	* plugins/sudoers/Makefile.in:
	Older shells don't support unset.
	[8762e40871ab]

	* configure, configure.ac, include/sudo_compat.h,
	lib/util/inet_ntop.c, src/net_ifs.c:
	Fix inet_ntop() replacement on older systems without it. We only
	expose the prototype for net_ifs.c due to the use of socklen_t.
	[18b95ca378ab]

	* lib/util/sudo_debug.c:
	Dynamically allocate debug_fds bitmap and realloc as needed.
	[e858199414f6]

	* Makefile.in, include/sudo_debug.h, lib/util/Makefile.in,
	lib/util/sudo_debug.c, plugins/group_file/Makefile.in,
	plugins/sample/Makefile.in, plugins/sudoers/Makefile.in,
	plugins/sudoers/sudoers_debug.c, plugins/sudoers/sudoers_debug.h,
	plugins/system_group/Makefile.in, src/Makefile.in, src/exec.c:
	Use generic bitmap macros instead of select-style fd_set.
	[c382edc413be]

	* lib/util/sudo_debug.c:
	Replace sudo_debug_num_instances with sudo_debug_max_instance
	[12625fd174a4]

	* plugins/sudoers/iolog.c, plugins/sudoers/policy.c:
	Don't call into the debug subsystem after we've deregistered the
	plugin's instance.
	[fca7279d2f40]

	* lib/util/sudo_debug.c:
	Only fill in subsystem_ids[] for the instance if the caller passed
	in an array for it. If the caller only wants the default subsystems
	we don't actually need ids[].
	[07939da6d3a5]

	* lib/util/Makefile.in:
	Link with -ldl if needed when built with --disable-shared-libutil/
	[542eeffaf57d]

	* src/regress/ttyname/check_ttyname.c:
	Fix includes order.
	[ddd58edba5af]

	* lib/util/util.exp.in:
	Remove extra newline mistakenly introduced in rev 9682.
	[36a40e308bbc]

	* plugins/sudoers/Makefile.in:
	Fix typo in unset.
	[2c5fbe4c9a54]

	* plugins/sudoers/sudoreplay.c, plugins/sudoers/testsudoers.c,
	plugins/sudoers/visudo.c, src/sesh.c:
	Set debug instance for standalone programs.
	[306225438408]

	* plugins/sudoers/bsm_audit.c, plugins/sudoers/linux_audit.c,
	src/net_ifs.c:
	Fix compilation issues, fallout from the debug changes.
	[aff5bb3d0322]

	* plugins/sudoers/po/sudoers.pot, po/sudo.pot:
	regen
	[bbb69f299d1f]

	* configure, configure.ac:
	Sudo 1.8.12
	[8d9b15c1de44]

	* NEWS:
	Update with debug system changes and revent bug fixes.
	[44133de1dee2]

	* include/sudo_debug.h, lib/util/sudo_conf.c, lib/util/sudo_debug.c,
	plugins/sudoers/sudoers_debug.c, plugins/sudoers/sudoers_debug.h:
	When registering with the debug subsystem, the caller now passes in
	an arrary of ints that gets filled in with the subsytem IDs to be
	used in debug_decl.
	[80e80ba194f7]

	* plugins/sudoers/testsudoers.c, plugins/sudoers/visudo.c:
	sudoers_debug_instance is now included in libparsesudoers so we
	don't need to declare it here.
	[a56f79e6fcf8]

2014-10-22  Todd C. Miller  <Todd.Miller@courtesan.com>

	* MANIFEST, include/sudo_debug.h, lib/util/sudo_debug.c,
	lib/util/ttysize.c, plugins/sudoers/Makefile.in,
	plugins/sudoers/alias.c, plugins/sudoers/audit.c,
	plugins/sudoers/auth/afs.c, plugins/sudoers/auth/aix_auth.c,
	plugins/sudoers/auth/bsdauth.c, plugins/sudoers/auth/dce.c,
	plugins/sudoers/auth/fwtk.c, plugins/sudoers/auth/kerb5.c,
	plugins/sudoers/auth/pam.c, plugins/sudoers/auth/passwd.c,
	plugins/sudoers/auth/rfc1938.c, plugins/sudoers/auth/secureware.c,
	plugins/sudoers/auth/securid5.c, plugins/sudoers/auth/sia.c,
	plugins/sudoers/auth/sudo_auth.c, plugins/sudoers/base64.c,
	plugins/sudoers/boottime.c, plugins/sudoers/bsm_audit.c,
	plugins/sudoers/check.c, plugins/sudoers/defaults.c,
	plugins/sudoers/env.c, plugins/sudoers/find_path.c,
	plugins/sudoers/getspwuid.c, plugins/sudoers/goodpath.c,
	plugins/sudoers/gram.c, plugins/sudoers/gram.y,
	plugins/sudoers/group_plugin.c, plugins/sudoers/hexchar.c,
	plugins/sudoers/interfaces.c, plugins/sudoers/iolog.c,
	plugins/sudoers/iolog_path.c, plugins/sudoers/ldap.c,
	plugins/sudoers/linux_audit.c, plugins/sudoers/logging.c,
	plugins/sudoers/logwrap.c, plugins/sudoers/match.c,
	plugins/sudoers/match_addr.c, plugins/sudoers/parse.c,
	plugins/sudoers/policy.c, plugins/sudoers/prompt.c,
	plugins/sudoers/pwutil.c, plugins/sudoers/pwutil_impl.c,
	plugins/sudoers/redblack.c, plugins/sudoers/set_perms.c,
	plugins/sudoers/sssd.c, plugins/sudoers/sudo_nss.c,
	plugins/sudoers/sudoers.c, plugins/sudoers/sudoers.h,
	plugins/sudoers/sudoers_debug.c, plugins/sudoers/sudoers_debug.h,
	plugins/sudoers/testsudoers.c, plugins/sudoers/timestamp.c,
	plugins/sudoers/toke.c, plugins/sudoers/toke.l,
	plugins/sudoers/toke_util.c, plugins/sudoers/visudo.c,
	plugins/sudoers/visudo_json.c:
	The sudoers plugin now defines its own list of debugging subsystem
	names and defines.
	[e85d0375e059]

	* MANIFEST, include/sudo_debug.h, lib/util/aix.c, lib/util/event.c,
	lib/util/event_poll.c, lib/util/event_select.c, lib/util/gidlist.c,
	lib/util/key_val.c, lib/util/lbuf.c, lib/util/locking.c,
	lib/util/parseln.c, lib/util/secure_path.c, lib/util/setgroups.c,
	lib/util/strtobool.c, lib/util/strtoid.c, lib/util/strtomode.c,
	lib/util/sudo_conf.c, lib/util/sudo_debug.c, lib/util/term.c,
	lib/util/ttysize.c, lib/util/util.exp.in,
	plugins/sudoers/Makefile.in, plugins/sudoers/alias.c,
	plugins/sudoers/audit.c, plugins/sudoers/auth/afs.c,
	plugins/sudoers/auth/aix_auth.c, plugins/sudoers/auth/bsdauth.c,
	plugins/sudoers/auth/dce.c, plugins/sudoers/auth/fwtk.c,
	plugins/sudoers/auth/kerb5.c, plugins/sudoers/auth/pam.c,
	plugins/sudoers/auth/passwd.c, plugins/sudoers/auth/rfc1938.c,
	plugins/sudoers/auth/secureware.c, plugins/sudoers/auth/securid5.c,
	plugins/sudoers/auth/sia.c, plugins/sudoers/auth/sudo_auth.c,
	plugins/sudoers/base64.c, plugins/sudoers/boottime.c,
	plugins/sudoers/bsm_audit.c, plugins/sudoers/check.c,
	plugins/sudoers/defaults.c, plugins/sudoers/env.c,
	plugins/sudoers/find_path.c, plugins/sudoers/getspwuid.c,
	plugins/sudoers/goodpath.c, plugins/sudoers/gram.c,
	plugins/sudoers/gram.y, plugins/sudoers/group_plugin.c,
	plugins/sudoers/hexchar.c, plugins/sudoers/interfaces.c,
	plugins/sudoers/iolog.c, plugins/sudoers/iolog_path.c,
	plugins/sudoers/ldap.c, plugins/sudoers/linux_audit.c,
	plugins/sudoers/logging.c, plugins/sudoers/logwrap.c,
	plugins/sudoers/match.c, plugins/sudoers/match_addr.c,
	plugins/sudoers/parse.c, plugins/sudoers/policy.c,
	plugins/sudoers/prompt.c, plugins/sudoers/pwutil.c,
	plugins/sudoers/pwutil_impl.c, plugins/sudoers/redblack.c,
	plugins/sudoers/set_perms.c, plugins/sudoers/sssd.c,
	plugins/sudoers/sudo_nss.c, plugins/sudoers/sudoers.c,
	plugins/sudoers/sudoers.h, plugins/sudoers/sudoers_debug.c,
	plugins/sudoers/sudoreplay.c, plugins/sudoers/testsudoers.c,
	plugins/sudoers/timestamp.c, plugins/sudoers/toke.c,
	plugins/sudoers/toke.l, plugins/sudoers/toke_util.c,
	plugins/sudoers/visudo.c, plugins/sudoers/visudo_json.c,
	src/Makefile.in, src/exec.c, src/exec_common.c, src/exec_pty.c,
	src/get_pty.c, src/hooks.c, src/load_plugins.c, src/net_ifs.c,
	src/parse_args.c, src/preserve_fds.c,
	src/regress/ttyname/check_ttyname.c, src/selinux.c, src/sesh.c,
	src/signal.c, src/solaris.c, src/sudo.c, src/sudo.h,
	src/sudo_edit.c, src/tgetpass.c, src/ttyname.c, src/utmp.c:
	Add support for multiple Debug lines per program. Callers may
	register arbitrary debug facilities or use built-in defaults. We now
	use separate Debug statements for plugins and programs.
	[5e553cbbfbb1]

	* MANIFEST, doc/sudo.conf.cat, doc/sudo.conf.man.in,
	doc/sudo.conf.mdoc.in, doc/sudo_plugin.cat, doc/sudo_plugin.man.in,
	doc/sudo_plugin.mdoc.in, include/sudo_conf.h, include/sudo_debug.h,
	lib/util/Makefile.in, lib/util/regress/sudo_conf/conf_test.c,
	lib/util/regress/sudo_conf/test7.in,
